%define		pdir	NetPacket
%include	/usr/lib/rpm/macros.perl
Summary:	NetPacket - modules to assemble/disassemble network packets of various Internet protocols
Summary(pl.UTF-8):	NetPacket - moduły składania/rozkładania pakietów różnych protokołów internetowych
Name:		perl-NetPacket
Version:	1.6.0
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{version}.tar.gz
# Source0-md5:	17ba0407dada096f046f513387e88818
URL:		http://search.cpan.org/dist/NetPacket/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
"NetPacket" provides a base class for a cluster of modules related to
decoding and encoding of network protocols. Each "NetPacket"
descendent module knows how to encode and decode packets for the
network protocol it implements. At present, decoding/encoding for the
following protocols has been implemented: Ethernet (802.3 and 802.2),
ARP, ICMP, IGMP, IP, UDP, TCP, LLC, Spanning Tree (802.1D and 802.1w)
and LACP (not complete yet).

%description -l pl.UTF-8
"NetPacket" stanowi klasę bazową dla zbioru modułów służących do
rozkodowywania i kodowania protokołów sieciowych. Każdy z tych modułów
umie rozkodować i zakodować implementowany przez siebie protokół
sieciowy. Aktualnie zaimplementowane jest rozkodowywanie/kodowanie
następujących protokołów: Ethernet (802.3 i 802.2), ARP, ICMP, IGMP,
IP, UDP, TCP, LLC, Spanning Tree (802.1D and 802.1w) i LACP (jeszcze
nie dokończone).

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name .packlist | xargs -r rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/%{pdir}
%{_mandir}/man3/*
%changelog
* Sun Jan 22 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-NetPacket.git;a=log;h=master

* Sat Jan 21 2017 Adam Osuchowski <adwol@pld-linux.org> b0167f9
- up to 1.6.0

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> db64c39
- use generic url

* Wed Sep 02 2009 amateja <amateja@pld-linux.org> dce1b6e
- updated to 0.41.1

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> cc0b147
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 320c0d4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3f15ec2
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> bd8be4e
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 73f4fa7
- massive: unfold macros in name/summary & other unifications

* Thu May 06 2004 ankry <ankry@pld-linux.org> f8993c2
- fixed perl-devel BR

* Mon Apr 26 2004 ankry <ankry@pld-linux.org> 276bb42
- license fixes and unification

* Thu Apr 15 2004 ankry <ankry@pld-linux.org> b052933
- updated description, fixed License

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> a16edae
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 9039045
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 135c20c
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> b230759
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> cf48b36
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> d404063
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> bdd1fc0
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> 4159e6a
- massive attack: change CPAN URLs

* Wed Feb 05 2003 ankry <ankry@pld-linux.org> 5623dd8
- autoupdated to 0.04

